<?php
/**
* @version		$Id: helper.php 15198 2010-03-05 09:06:05Z ian $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.mootools');
require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
require_once('modules/mod_myfp/lib/slike.php');
/*DEFAULT*/
$get_items             			= 		$params->get   ('get_items',1);
$num_links             			= 		$params->get   ('num_links');
$number_of_columns 				=  		$params->get   ('number_of_columns','3');
$default_module_layout			= 		$params->get   ('default_module_layout');
$remchars               		= 		$params->get   ('remchars',40);
$ordering              			= 		$params->get   ('ordering',3);// 1 = ordering | 2 = popular | 3 = random  | 4 = create date
$ordering              			= 		$params->get   ('ordering',3);
$cat_ordering     				=  		$params->get   ('cat_ordering','1');
$specific_categories    		=  		$params->get   ('specific_categories','');
$show_top_cat_title 			=  		$params->get   ('show_top_cat_title','1');
$show_bottom_cat_title 			=  		$params->get   ('show_bottom_cat_title','1');
$show_tooltip 					=  		$params->get   ('show_tooltip','1');
$news_source         			= 		$params->get   ('news_source','1');


/*LEADING TEMPLATE PARAMS*/
$show_lead_title				=  		$params->get   ('show_lead_title','1');
$show_lead_image 	    		= 		$params->get   ('show_lead_image');
$lead_item_iw        			= 		$params->get   ('lead_item_iw','90px');
$lead_item_ih        			= 		$params->get   ('lead_item_ih','50px');
$lead_k2image_size         		= 		$params->get   ('lead_k2image_size','M');
$show_lead_intro  				=  		$params->get   ('show_lead_intro','1');
$lead_chars                 	= 		$params->get   ('lead_chars',40);
$show_lead_rmore        		= 		$params->get   ('show_lead_rmore');


/*BLOCK TEMPLATE PARAMS*/
/*FIRST ITEM*/
$show_block_title				=  		$params->get   ('show_block_title','1');
$show_block_image 	    		= 		$params->get   ('show_block_image');
$block_item_iw         			= 		$params->get   ('block_item_iw','90px');
$block_item_ih         			= 		$params->get   ('block_item_ih','50px');
$block_k2image_size        		= 		$params->get   ('block_k2image_size','M');
$show_block_intro  				=  		$params->get   ('show_block_intro','1');
$block_chars                 	= 		$params->get   ('block_chars',40);
$show_block_rmore        		= 		$params->get   ('show_block_rmore');

/*REMAINING*/
$show_blockr_title				=  		$params->get   ('show_blockr_title','1');
$show_blockr_image 	    		= 		$params->get   ('show_blockr_image');
$blockr_item_iw         		= 		$params->get   ('blockr_item_iw','90px');
$blockr_item_ih         		= 		$params->get   ('blockr_item_ih','50px');
$blockr_k2image_size        	= 		$params->get   ('blockr_k2image_size','M');
$show_blockr_intro  			=  		$params->get   ('show_blockr_intro','1');
$blockr_chars                 	= 		$params->get   ('blockr_chars',40);
$show_blockr_rmore        		= 		$params->get   ('show_blockr_rmore');





/* set categories order */
$ord = array(
	1=>'ordering',
	2=>'hits',
	3=>'RAND()',
	4=>'created ASC',
	5=>'created DESC'
);
$order = $ord[$ordering];
$cat_order = $cat_ordering ==1 ? 'ordering' : 'RAND()';			
/* add styles and scripts */			
$document = &JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_myfp/css/stylesheet.css');
if ($show_tooltip == 1 ) {
	$document->addScript(JURI::base() . 'modules/mod_myfp/src/tooltip.js');
}
/* prepare database */
$db			=& JFactory::getDBO();
$user		=& JFactory::getUser();
$userId		= (int) $user->get('id');
$aid		= $user->get('aid', 0);
$contentConfig = &JComponentHelper::getParams( 'com_content' );
$access		= !$contentConfig->get('shownoauth');
$nullDate	= $db->getNullDate();
$date =       & JFactory::getDate();
$now =         $date->toMySQL(); //date('Y-m-d H:i:s');
			
$total_links = $num_links > 0 ? $num_links : 1;
$column_width = number_format((100/$number_of_columns) ,0, '.', '') ;
$where = !empty($specific_categories) ? ' AND id IN ('.$specific_categories.')' : '';
$wheres = !empty($specific_categories) ? '' : 'section='.$get_items.' AND';
if ($news_source == 1 ) :
	/* get section from database. If section is not published or is missing, script halts here, no unneccesary SQL runs */
	$section_sql = 'SELECT * FROM #__sections WHERE id = '.$get_items.' AND published = 1';
	if( $access )
		$section_sql.=' AND access <= ' .((int)$aid);
	$db->setQuery($section_sql);
	$section = $db->loadObjectList();
	/* if section is published, start gathering articles */
	if( $section )
		require('modules/mod_myfp/lib/get_articles.php');
endif;
if ($news_source == 2) :
		require('modules/mod_myfp/lib/get_k2.php');
endif;