<?php 
/*======================================================================*\
|| #################################################################### ||
|| # Copyright (C) 2006-2010 Youjoomla LLC. All Rights Reserved.        ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- THIS IS NOT FREE SOFTWARE ---------------- #      ||
|| # http://www.youjoomla.com | http://www.youjoomla.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/
// no direct access
defined('_JEXEC') or die('Restricted access');
if (JFolder::exists(JPATH_SITE.DS.'components'.DS.'com_k2')):
require_once(JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'route.php');
require_once(JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'utilities.php');
require_once (JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'models'.DS.'itemlist.php');
require_once (JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'models'.DS.'item.php');


/* get categories from database */
$getcats = 'SELECT *  FROM #__k2_categories WHERE published=1'; 
//$getcats.= $access ? ' AND access <= ' .((int)$aid) : '';
$getcats.= $where.' ORDER BY  '.$cat_order.'';
$db->setQuery($getcats);
$load_cats = $db->loadObjectList();
/* holds categories */
$myfpcats = array();
/* holds category items */
$myfpitems = array();

foreach ($load_cats as $myfpcategory) {
	/* if category isn't published or does not have articles, no need to run it */
	
	$query = "SELECT COUNT(*) as catitemcount FROM #__k2_items WHERE catid={$myfpcategory->id} AND published=1 AND ( publish_up = ".$db->Quote($nullDate)." OR publish_up <= ".$db->Quote($now)." ) AND ( publish_down = ".$db->Quote($nullDate)." OR publish_down >= ".$db->Quote($now)." ) AND trash=0 AND access<={$aid}";
			$db->setQuery($query);
			$total = $db->loadResult();
			
			
			
	if( $myfpcategory->published != 1 ) continue;

	$cat_url = urldecode(JRoute::_(K2HelperRoute::getCategoryRoute($myfpcategory->id.':'.urlencode($myfpcategory->alias))));;
	$myfpcats[$myfpcategory->id] = array(
		'cat_title'=>$myfpcategory->name,
		'cat_url' =>$cat_url,
		'cat_count' =>$total
	);	


			$articles =  "SELECT i.*, c.name AS categoryname,c.id AS categoryid, c.alias AS categoryalias, c.params AS categoryparams";
			$articles .= " FROM #__k2_items as i LEFT JOIN #__k2_categories c ON c.id = i.catid";
			$articles .= " WHERE i.published = 1 AND i.access <= {$aid} AND i.trash = 0 AND c.published = 1 AND c.access <= {$aid} AND c.trash = 0";
			$articles .= " AND ( i.publish_up = ".$db->Quote($nullDate)." OR i.publish_up <= ".$db->Quote($now)." )";
			$articles .= " AND ( i.publish_down = ".$db->Quote($nullDate)." OR i.publish_down >= ".$db->Quote($now)." )";
			$articles .= " AND ( i.catid= ".$myfpcategory->id.")";
			$articles .= " ORDER BY ".$order ." LIMIT 0,".$total_links."";
			$db->setQuery($articles);
			$load_items = $db->loadObjectList();

	
	foreach ( $load_items as $item ){
		$item_url 			= urldecode(JRoute::_(K2HelperRoute::getItemRoute($item->id.':'.urlencode($item->alias), $item->catid.':'.urlencode($item->categoryalias))));
		
		if($default_module_layout == 1) :
			$k2_image = '';
			$k2r_image 	='';
		elseif($default_module_layout == 2):
			$k2_image = $lead_k2image_size;
			$k2r_image 	='';
		elseif ($default_module_layout == 3):
			$k2_image 	= $block_k2image_size;
			$k2r_image 	= $blockr_k2image_size;
		endif;
		
		if (JFile::exists(JPATH_SITE.DS.'media'.DS.'k2'.DS.'items'.DS.'cache'.DS.md5("Image".$item->id).'_'.$k2_image .'.jpg')):
   		$get_image   		= JURI::root().'media/k2/items/cache/'.md5("Image".$item->id).'_'.$k2_image .'.jpg';
		else:
		$get_image ='';
		endif;
		
		if (JFile::exists(JPATH_SITE.DS.'media'.DS.'k2'.DS.'items'.DS.'cache'.DS.md5("Image".$item->id).'_'.$k2r_image .'.jpg')):
   		$getr_image   		= JURI::root().'media/k2/items/cache/'.md5("Image".$item->id).'_'.$k2r_image .'.jpg';
		else:
		$getr_image ='';
		endif;
		
		$myfpitems[$myfpcategory->id][$item->id] = array(
			'item_title' 	=> $item->title,
			'item_id'    	=> $item->id,

			'item_url'	 	=> $item_url,
			'item_intro'	=> substr(strip_tags($item->introtext,'<a><br>'),0,$lead_chars),
			'block_intro'	=> substr(strip_tags($item->introtext,'<a><br>'),0,$block_chars),
			'blockr_intro'	=> substr(strip_tags($item->introtext,'<a><br>'),0,$blockr_chars),
			'image_url'     => $get_image,
			'imager_url'     => $getr_image
			
    	);
  	}
}
endif;
?>